function MenuManager() {

}

MenuManager.prototype.getBaseAppMenuModel = function() {
    var connectionModel = {
        label: $L('Connection'), items: [
            { label: $L('Online'), command: 'do-go-online' },
            { label: $L('Offline'), command: 'do-go-offline' } ] };

    var appMenuModel = {
        visible: true,
        items: [
            { label: $L('Preferences'), command: 'do-preferences' },
            { label: $L('Logout'), command: 'do-logout' },
            { label: $L('Help'), command: 'do-help' },
			{ label: $L('TouchPad Back'), command: 'do-touchpad-back' }
        ]
    };	
    if (Evernote.service.showConnectionMenu){
		appMenuModel.items.splice(0, 0, connectionModel);
	}

    return appMenuModel;
};

MenuManager.prototype.setupAppMenu = function(controller, model) {
    var attrs = { omitDefaultItems: true };
    controller.setupWidget(Mojo.Menu.appMenu, attrs, model);
};

MenuManager.prototype.setupBaseAppMenu = function(controller) {
    this.setupAppMenu(controller, this.getBaseAppMenuModel());
};

MenuManager.prototype.addCommand = function(model, label, command, position) {
    model.items.splice(position, 0, { label: $L(label), command: command });
};

MenuManager.prototype.removeLogoutCommand = function(model) {
    this.removeCommand(model, "do-logout");
};

MenuManager.prototype.removeHelpCommand = function(model) {
    this.removeCommand(model, "do-help");
};

MenuManager.prototype.removePreferencesCommand = function(model) {
    this.removeCommand(model, "do-preferences");
};

MenuManager.prototype.removeCommand = function(model, command) {
    var newItems = [];
    for (var i = 0; i < model.items.length; i++) {
        var item = model.items[i];
        if (command != item.command)
            newItems.push(item);
    }

    model.items = newItems;
};